#!/bin/bash

# Config
OS_TEST_SCRIPT="openstack/tester"
OS_NET_ID="b635e4b7-40f2-4ca2-8d35-644c479f6ba6"
OS_FLAVOUR="dc1.1x2"

# Inputs
FILE="$1"
shift
TEST_FILES=( "$@" )

# Run the test
echo "Running: $OS_TEST_SCRIPT --net-id $OS_NET_ID --flavour $OS_FLAVOUR --image-file $FILE ${TEST_FILES[@]}"
"$OS_TEST_SCRIPT" \
    --net-id "$OS_NET_ID" \
    --flavour "$OS_FLAVOUR" \
    --image-file "$FILE" \
    "${TEST_FILES[@]}"
